task extract_multiqc {

	File fastqc_qualimap
	File fastqc
	File fastqscreen
	File hap

	String docker
	String cluster_config
	String disk_size

	command <<<
		python /opt/extract_multiqc.py -fastqc_qualimap ${fastqc_qualimap} -fastqc ${fastqc} -fastqscreen ${fastqscreen} -hap ${hap}
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File fastqc_result = "fastqc.final.result.txt"
		File fastqscreen_result = "fastqscreen.final.result.txt"
		File qualimap_result = "qualimap.final.result.txt"
		File hap_result = "benchmark.final.result.txt"
	}
}