 task merge_family {
	File LCL5_vcf_gz
	File LCL5_vcf_idx
	File LCL6_vcf_gz
	File LCL6_vcf_idx
	File LCL7_vcf_gz
	File LCL7_vcf_idx
	File LCL8_vcf_gz
	File LCL8_vcf_idx
	File rename
	String project
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfannotate --relabel=${rename} -i ${LCL5_vcf_gz} -o LCL5.vcf.gz

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfannotate --relabel=${rename} -i ${LCL6_vcf_gz} -o LCL6.vcf.gz

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfannotate --relabel=${rename} -i ${LCL7_vcf_gz} -o LCL7.vcf.gz

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfannotate --relabel=${rename} -i ${LCL8_vcf_gz} -o LCL8.vcf.gz

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfmerge --force-merge-all -o ${project}.family.vcf.gz LCL5.vcf.gz LCL6.vcf.gz LCL7.vcf.gz LCL8.vcf.gz

		gunzip ${project}.family.vcf.gz 

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File merged_vcf = "${project}.family.vcf"
	}
}


